<?xml version="1.0"?>
<!DOCTYPE window SYSTEM "chrome://livemargins/locale/livemargins.dtd">
<?xul-overlay href="app-overlay.xul" ?>

<window id="livemargins_player_window"
    xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
    hidechrome="true"
    windowtype="mozilla:favpart_widget">
  <script type="application/x-javascript"
          src="chrome://livemargins/content/windowTools.js"/>
  <script type="application/x-javascript"
          src="chrome://livemargins/content/dockable.js"/>
  <script type="application/x-javascript"
          src="chrome://livemargins/content/widget-base.js"/>  
  <stringbundleset>
    <stringbundle id="livemarginsStrings"
                  src="chrome://livemargins/locale/livemargins.properties"/>
  </stringbundleset>
  <hbox flex="1" id="widget-box">
    <vbox id="left-resizer-box" width="2">
      <resizer dir="topleft" height="2" style="cursor: nw-resize;"/>
      <resizer dir="left" flex="1" style="cursor: w-resize;"/>
      <resizer dir="bottomleft" height="2" style="cursor: sw-resize;"/>
    </vbox>
    <vbox flex="1">
      <resizer id="top-resizer" dir="top" height="1" style="cursor: n-resize;"/>
      <vbox id="app-content-box" flex="1">
        <hbox id="chrome-title-box" class="frame-title-box">
          <hbox id="left-button-box">
            <hbox id="left-base-button-box">
              <image id="app-icon" style="display: none;" class="channel-icon" />
            </hbox>
          </hbox>
          <vbox flex="1">
            <titlebar id="titlebar-space"
                      class="frame-titlebar"
                      flex="1"
                      height="20px">
              <label crop="end" flex="1" id="chromeTitle" class="title-text"/>
            </titlebar>
          </vbox>
          <hbox id="right-button-box">
            <toolbarbutton id="bookmark-button"
                           class="favpart-control-buttons"
                           tooltiptext="&bookmark_tooltip;"
                           onclick="widget.toggleBookmark();"></toolbarbutton>
            <toolbarbutton id="ontop-button" 
                           class="favpart-control-buttons"
                           tooltiptext="&ontopButton_tooltip_clear;"
                           tooltip_set="&ontopButton_tooltip_set;"
                           tooltip_clear="&ontopButton_tooltip_clear;"
                           oncommand = "widget.switchTopMost();"/>
            <!--
            <toolbarbutton id="transparent"
                           class="favpart-control-buttons"
                           type="checkbox"
                           tooltiptext="&transparentButton;"
                           autoCheck="false"
                           onclick="widget.switchTransparent();"/>
            -->
            <toolbarbutton id="favpart-minimize-button"
                           class="favpart-control-buttons"
                           tooltiptext="&minimizeButton;"
                           oncommand="windowTools.minimized=true"/>
            <toolbarbutton id="favpart-close-button"
                           class="favpart-control-buttons"
                           tooltiptext="&closeButton;"
                           oncommand="widget.close();"/>
          </hbox>
        </hbox>
        <browser id="player_browser"
                 type="content"
                 disablehistory="true"
                 flex="1"/>
      </vbox>

      <resizer id="bottom-resizer"
               dir="bottom"
               height="2"
               style="cursor: s-resize;"/>
    </vbox>
    <vbox id="right-risizer-box" width="2" style="overflow: hidden;">
      <resizer dir="topright" height="2" style="cursor: ne-resize;"/>
      <resizer dir="right" flex="1" style="cursor: e-resize;"/>
      <resizer dir="bottomright" height="2" style="cursor: se-resize;"/>
    </vbox>
  </hbox>
  <popupset>
    <panel id="opaque-panel"
           level="top"
           flex="1"
           style="border:0px;"
           noautohide="true">
      <hbox width="16" height="16">
        <image src="chrome://livemargins/skin/opaque.png"
               width="16"
               height="16"
               onclick="windowTools.transparent=false"/>
      </hbox>
    </panel>
  </popupset>
</window>

